<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Ausgaben\SammelEMail\AnDozenten;

class SammelEMailPresenter extends \Kufer\Web\KuferTools\Ausgaben\SammelEMail\SammelEMailPresenter
{
  protected function getView()
  {
    return new SammelEMailView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new SammelEMailViewModel();
    
    $this->getViewModelCommonPart($viewModel);

    
    $viewModel->dozenten = $this->useCaseResponse->dozenten;
    $viewModel->countDozenten = $this->useCaseResponse->countDozenten;
    $viewModel->sendTnPDFListe = $this->useCaseResponse->sendTnPDFListe;
    $viewModel->saveDozenten = $this->useCaseResponse->saveDozenten;

    return $viewModel;
  }
}